Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml.types
Class NcbTypeType

    java.lang.Object
      nz.co.cks.tms.xml.types.NcbTypeType

All Implemented Interfaces:
  java.io.Serializable

public class NcbTypeType
extends java.lang.Object
implements java.io.Serializable

CKS TMS NCB Types

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private static java.util.Hashtable` | `_memberTable` Field _memberTable
`private java.lang.String` | `stringValue` Field stringValue
`private int` | `type` Field type
`static NcbTypeType` | `VALUE_0` The instance of the Organisation type
`static int` | `VALUE_0_TYPE` The Organisation type
`static NcbTypeType` | `VALUE_1` The instance of the Organisation Unit type
`static int` | `VALUE_1_TYPE` The Organisation Unit type
`static NcbTypeType` | `VALUE_2` The instance of the Person type
`static int` | `VALUE_2_TYPE` The Person type

Constructor Summary
`private` | `NcbTypeType(int type, java.lang.String value)`

Method Summary
`static java.util.Enumeration` | `enumerate()` Method enumerateReturns an enumeration of all possible instances of NcbTypeType
`int` | `getType()` Method getTypeReturns the type of this NcbTypeType
`private static java.util.Hashtable` | `init()` Method init
`java.lang.String` | `toString()` Method toStringReturns the String representation of this NcbTypeType
`static NcbTypeType` | `valueOf(java.lang.String string)` Method valueOfReturns a new NcbTypeType based on the given String value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _memberTable

    private static java.util.Hashtable _memberTable

  Field _memberTable

### stringValue

    private java.lang.String stringValue

  Field stringValue

### type

    private int type

  Field type

### VALUE_0

    public static final NcbTypeType VALUE_0

  The instance of the Organisation type

### VALUE_0_TYPE

    public static final int VALUE_0_TYPE

  The Organisation type

  See Also:
    Constant Field Values

### VALUE_1

    public static final NcbTypeType VALUE_1

  The instance of the Organisation Unit type

### VALUE_1_TYPE

    public static final int VALUE_1_TYPE

  The Organisation Unit type

  See Also:
    Constant Field Values

### VALUE_2

    public static final NcbTypeType VALUE_2

  The instance of the Person type

### VALUE_2_TYPE

    public static final int VALUE_2_TYPE

  The Person type

  See Also:
    Constant Field Values

Constructor Detail

### NcbTypeType

    private NcbTypeType(int type,
                        java.lang.String value)

Method Detail

### enumerate

    public static java.util.Enumeration enumerate()

  Method enumerateReturns an enumeration of all possible instances of NcbTypeType

### getType

    public int getType()

  Method getTypeReturns the type of this NcbTypeType

### init

    private static java.util.Hashtable init()

  Method init

### toString

    public java.lang.String toString()

  Method toStringReturns the String representation of this NcbTypeType

### valueOf

    public static NcbTypeType valueOf(java.lang.String string)

  Method valueOfReturns a new NcbTypeType based on the given String value.

  Parameters:
    `string` -

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD